Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455337 - 2.6.26-136.fc10.i686: INFO: hard-read-safe -> hard-read-unsafe lock order detected
Summary: 2.6.26-136.fc10.i686: INFO: hard-read-safe -> hard-read-unsafe lock order det...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 21:11 UTC by Tom London
Modified: 2008-10-10 04:18 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-10 04:18:46 UTC


Attachments (Terms of Use)
Complete INFO spew (deleted)
2008-07-14 21:11 UTC, Tom London
no flags Details

Description Tom London 2008-07-14 21:11:59 UTC
Description of problem:
Got the following INFO in /var/log/messages (complete spew attached below):


======================================================
[ INFO: hard-read-safe -> hard-read-unsafe lock order detected ]
2.6.26-136.fc10.i686 #1
------------------------------------------------------
strace/4454 [HC0[0]:SC0[0]:HE0:SE1] is trying to acquire:
 (&utrace->lock){--..}, at: [<c045b904>] get_utrace_lock_attached+0x4a/0x8d

and this task is already holding:
 (tasklist_lock){..??}, at: [<c042db06>] do_exit+0x2f3/0x784
which would create a new lock dependency:
 (tasklist_lock){..??} -> (&utrace->lock){--..}


Version-Release number of selected component (if applicable):
kernel-2.6.26-136.fc10.i686

How reproducible:
Don't know

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tom London 2008-07-14 21:11:59 UTC
Created attachment 311778 [details]
Complete INFO spew

Comment 2 Tom London 2008-07-14 21:14:16 UTC
Not 100% sure, but I think I was doing "strace ping www.comcast.net".

That fails when run as a "ordinary" user, but succeeds if run as root.

Comment 3 Tom London 2008-10-06 16:02:41 UTC
Haven't seen this for quite some time.

Close?


Note You need to log in before you can comment on or make changes to this bug.